% script for problem 2.3 of MATLAB book
%
% inverse filtering of finite length sequences
%
% G. Doblinger, TU-Wien, 03-2001

echo on
%
% problem a)
%
N = 50;
Ni = 5;
n = [0:N-1];
h = 0.8.^n;
hi = deconvolve(h,Ni);
pause % press a key
%
% problem b)
%
N = 50;
Ni = 20;
n = [0:N-1];
h = 0.8.^n .* cos(3*pi/10*n);
hi = deconvolve(h,Ni);
pause % press a key
%
% problem c)
%
N = 50;
Ni = 10;
n = [0:N-1];
h = 0.5*(1 + cos(2*pi/(N+1)*(n+1)));
hi = deconvolve(h,Ni);

