% script to show usage of audio signal enhamcement
%
% G. Doblinger, TU-Wien, 03-2001

echo on
% load WAV-file to MATLAB work space

[x,Fs] = wavread('quanto_e_bella16.wav');

% add white gaussian noise with SNR = 20 dB

[xn,w] = addwgn(x,20); 

% carry out signal enhancement (wait and see...)

y = enhance(xn,w,1024,0.985,0.015,1); 

% show spectrograms of all signals

multspec(Fs,x,xn,y); 

echo off
